Bug 143561 - selinux, sendmail & TLS don't play nice (including suggested fix)
selinux, sendmail & TLS don't play nice (including suggested fix)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-22 06:55 EST by Phil Anderson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2005-251
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-27 01:50:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phil Anderson 2004-12-22 06:55:25 EST
TLS connections don't work in sendmail when TLS is on:

Dec 20 15:00:48 harry kernel: audit(1103515248.224:0): avc:  denied  {
    read } for  pid=12496 exe=/usr/sbin/sendmail.sendmail name=urandom
    dev=tmpfs ino=870 scontext=user_u:system_r:system_mail_t
    tcontext=system_u:object_r:urandom_device_t tclass=chr_file

maillog contains several errors, starting with:

sendmail[4239]: iBJBWAxA004239: STARTTLS=client, error: connect
failed=-1, SSL_error=1, timedout=0, errno=0
sendmail[4239]: STARTTLS=client: 4239:error:24064064:random number
generator:SSLEAY_RAND_BYTES:PRNG not seeded:md_rand.c:503:You need to
read the OpenSSL FAQ, http://www.openssl.org/support/faq.html

My solution to this problem was to add the following line to mta.te:
allow system_mail_t urandom_device_t:chr_file read;

This appears to have fixed the problem for me.
Comment 1 Daniel Walsh 2004-12-22 10:21:57 EST
Please try selinux-policy-targeted-1.17.30-2.59

available on ftp://people.redhat.com/dwalsh/SELinux/FC3
Comment 2 Phil Anderson 2004-12-23 07:14:25 EST
selinux-policy-targeted-1.17.30-2.59 fixes the problem for me.

Note You need to log in before you can comment on or make changes to this bug.